
import myhttp from "../../utils/http.js"
var app = getApp();
// pages/pay/pay.js
Page({

  /**
   * 页面的初始数据
   */
  data: {
  
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
  
  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {
  
  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {
  
  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {
  
  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {
  
  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {
  
  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {
  
  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {
  
  },
  /**
   * 确认支付
   */
  confirmPayment:function(){
    wx.navigateTo({
      url: '../course/course',
      success: function (res) { },
      fail: function (res) { },
      complete: function (res) { },
    })
    // this.paymentByWeixin();
  },

  /**
   *微信支付 
   */
  /**
 * 微信支付
 */
  paymentByWeixin: function () {
    //微信支付
    let that = this;
    // let order_infos = wx.getStorageSync("createOrderInfos");
    let _order_id = 112;//order_infos.order_id;//order_id   pay_password
    myhttp.HttpRequst('payment/mini', { order_id: _order_id }, "POST", function (res) {

      if (res.statusCode == 200) {
        let _appId = res.data.appId;
        let _nonceStr = res.data.nonceStr;
        let _package = res.data.package;
        let _paySign = res.data.paySign;
        let _signType = res.data.signType;
        let _timeStamp = res.data.timeStamp;

        wx.requestPayment({
          'timeStamp': _timeStamp,
          'nonceStr': _nonceStr,
          'package': _package,
          'signType': _signType,
          'paySign': _paySign,
          'success': function (res) {
            that.setData({
              showOrHidden: true
            });

            // wx.navigateTo({
            //   url: '../course/course',
            //   success: function (res) { },
            //   fail: function (res) { },
            //   complete: function (res) { },
            // })
          },
          'fail': function () {

            wx.showToast({
              title: '网络异常',
              image: '../../images/waring@2x.png',
              duration: 2000
            })
          }
        })

      }
      else {
        wx.showToast({
          title: res.data.errMsg,
          image: '../../images/fail@2x.png',
          duration: 2000,
        });
      }
    });
  }
})